> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slm.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Future Transactions

Retrieves the future [Transactions](Transactions) for a specified subscription. The number of future transactions desired is required as part of the call.

## HTTP Request

`GET https://api.vindicia.com/subscriptions/:subscription/future_transactions?quantity=`

## Route (URL) Parameters

| Parameter | Default | Description | Required |
| - | - | - | - |
| `subscription` | n/a | The `id` or the `vid` of the Subscription to retrieve future Transactions | Yes |

## Query Parameters

| Parameter | Default | Description | Required |
| - | - | - | - |
| `quantity` | n/a | The number of future transactions to fetch. The amount to fetch must be between 1-5. | Yes |

## Accepts

None.

## Returns

JSON - A *list* array with a data property that contains an array of up to quantity [Transactions](Transactions). Each entry in the array is a full Transaction object. If no more Transactions are available, the resulting array will be empty. This request should never throw an error.

A *list* of [Transaction](Transactions) objects matching the query. Also:

* “total\_count”: Integer count of the number of Transactions in the returned list.

* “url”: The query string provided in the request

## Example Request

```

curl -X GET \
-u acaff38d462f9430d5cbcbaf:a575771fc679b9de \
"https://api.staging.us-west.vindicia.com/subscriptions/T_BusyMoms/future_transactions?quantity=2"
```

## Example Response

```
{
    "object": "List",
    "data": [
        {
            "object": "Transaction",
            "created": "2021-10-11T00:00:00+00:00",
            "amount": 22,
            "currency": "USD",
            "items": {
                "object": "List",
                "data": [
                    {
                        "object": "TransactionItem",
                        "sku": "T_BusyMoms",
                        "item_type": "Purchase",
                        "name": "The thing busy moms need to survive the month  in-a box",
                        "price": 22,
                        "quantity": 1,
                        "tax_type": "Exclusive Sales",
                        "subtotal": 22,
                        "total": 22
                    }
                ],
                "total_count": 1
            },
            "subscription_sequence": 70
        },
        {
            "object": "Transaction",
            "created": "2021-10-14T00:00:00+00:00",
            "amount": 22,
            "currency": "USD",
            "items": {
                "object": "List",
                "data": [
                    {
                        "object": "TransactionItem",
                        "sku": "T_BusyMoms",
                        "item_type": "Purchase",
                        "name": "The thing busy moms need to survive the month  in-a box",
                        "price": 22,
                        "quantity": 1,
                        "tax_type": "Exclusive Sales",
                        "subtotal": 22,
                        "total": 22
                    }
                ],
                "total_count": 1
            },
            "subscription_sequence": 71
        }
    ],
    "total_count": 2,
    "url": "/subscriptions/T_BusyMoms/future_transactions?quantity=2"
}
```

**Parent topic:**[Subscriptions](../topics/Subscriptions)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.